Bug 17376 - UPS poweroff during mouse probing.
UPS poweroff during mouse probing.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
6.1
i386 Linux
low Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-09 05:00 EDT by SharpFang
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 17:41:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SharpFang 2000-09-09 05:00:38 EDT
CONFIG:
PentiumII233, UPS Fideltronik Ares 3000 on ttyS2, mouse Logitech on ttyS1,
the rest is insignificant.
This computer works as 'shutdown server' sending off shutdown signal to all
the computers powered from the UPS if power goes down and the batteries are
getting low. One day I decided I want to install linux 'out of a box' on an
unused partition, so I could always compare my config with 'factory
defaults' of RH6.2.

WHAT HAPPENED:
I started the installation system once, and after some time of the
installation it all suddenly died - the UPS with awful scream died
(powering all the computers attached to it off). I tried to power it on,
and it worked, but as I restarted the installation again, and it died in
the same place.  Next time I checked what goes on when this happens - It's
when mouseconfig probes the mice. Unfortunately there's no way to skip
autodetect in mouseconfig, at least not using expert mode I think - and
probing ttyS2 it accidentially sends 'poweroff' signal to the UPS. 

WORKAROUND:
I removed the serial cable of the UPS from the serial socket and after
fourth attempt the installation passed successfully.

SUGGESTED BUGFIX:
A screen with warning included, which allows the user to un-check the ports
to be probed, or skip the probe on all ports and choose one port for
probing for the mouse type manually.
Comment 1 Bill Nottingham 2000-09-12 18:39:37 EDT
This might be fixed in a later kudzu release, but I can't
be sure without trying it on that specific model of UPS
(which we don't have.)
Comment 2 Bill Nottingham 2005-02-04 17:41:03 EST
Closing out bugs from older, no longer supported releases. Apologies for the
lack of response.

Note You need to log in before you can comment on or make changes to this bug.